# $Id: 04_path.t,v 1.1 2007/09/10 11:38:45 pythontech Exp $
use strict;
use Test::More tests => 2;

use PythonTech::Template;

my $t = new PythonTech::Template(DIRS => '/nowhere',
				 STAG => '{',
				 ETAG => '}');

my $data = {
    stmt => {
	subj => {
	    uri => 'x-ptt:foo',
	    desc => 'Foo',
	},
	pred => {
	    uri => 'hasContent',
	},
	objs => [
	    {
		type => 'literal',
		literal => 'The cat sat',
	    },
	    {
		type => 'literal',
		literal => 'How now',
	    },
	    ],
    },
};

is($t->process_text("{WITH stmt/subj}{uri} '{desc}'{ENDWITH} {stmt/pred/uri}",
		    $data),
   "x-ptt:foo 'Foo' hasContent");
is($t->process_text("{LOOP stmt/objs} [{literal}]{ENDLOOP}",
		    $data),
   " [The cat sat] [How now]");
